apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - grafana-env.secret.yaml
  - grafana-admin-api-credentials.secret.yaml
  - ../../../../apps/grafana-stack/
configMapGenerator:
  - name: grafana-stack-values
    namespace: flux-system
    files:
      - values.yaml=values.yaml
configurations:
  - kustomizeconfig.yaml
